CVE-2024-32487

Name
CVE-2024-32487
Description
less through 653 allows OS command execution via a newline character in the name of a file, because quoting is mishandled in filename.c. Exploitation typically requires use with attacker-controlled file names, such as the files extracted from an untrusted archive. Exploitation also requires the LESSOPEN environment variable, but this is set by default in many common cases.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
cve@mitre.org https://github.com/gwsw/less/commit/007521ac3c95bc76e3d59c6dbfe75d06c8075c33
cve@mitre.org https://www.openwall.com/lists/oss-security/2024/04/12/5
cve@mitre.org https://www.openwall.com/lists/oss-security/2024/04/13/2
mailing-list http://www.openwall.com/lists/oss-security/2024/04/15/1
https://security.netapp.com/advisory/ntap-20240605-0009/
mailing-list https://lists.debian.org/debian-lts-announce/2024/05/msg00018.html

Match rules

CPE URI Source package Min version Max version
n/a == n/a == n/a
cpe:2.3:a:netapp:less:*:*:*:*:*:*:*:* less >= 0 <= 653

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
less 3.20-main 643-r2 Celeste <cielesti@protonmail.com> possibly vulnerable
less 3.19-main 643-r2 Celeste <cielesti@protonmail.com> possibly vulnerable
less 3.18-main 633-r0 Cameron Banta <cbanta@gmail.com> possibly vulnerable
less 3.17-main 608-r1 Cameron Banta <cbanta@gmail.com> possibly vulnerable